Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.wsrp.producer.config
Interface ProducerRegistrationRequirements

All Known Implementing Classes:
  ProducerRegistrationRequirementsImpl

    public interface ProducerRegistrationRequirements

Since:
  2.6
Version:
  $Revision:5865 $
Author:
  Chris Laprun

Field Summary
`static java.lang.String` | `DEFAULT_POLICY_CLASS_NAME`
`static java.lang.String` | `DEFAULT_VALIDATOR_CLASS_NAME`

Method Summary
`boolean` | `acceptValueFor(javax.xml.namespace.QName propertyName, java.lang.Object value)`
`boolean` | `acceptValueFor(java.lang.String propertyName, java.lang.Object value)`
`void` | `addEmptyRegistrationProperty(java.lang.String name)`
`void` | `addRegistrationPolicyChangeListener(RegistrationPolicyChangeListener listener)`
`void` | `addRegistrationProperty(RegistrationPropertyDescription propertyDescription)`
`void` | `addRegistrationPropertyChangeListener(RegistrationPropertyChangeListener listener)`
`void` | `clearRegistrationPolicyChangeListeners()`
`void` | `clearRegistrationProperties()`
`void` | `clearRegistrationPropertyChangeListeners()`
`RegistrationPolicy` | `getPolicy()`
`java.util.Map` | `getRegistrationProperties()`
`RegistrationPropertyDescription` | `getRegistrationPropertyWith(javax.xml.namespace.QName name)`
`RegistrationPropertyDescription` | `getRegistrationPropertyWith(java.lang.String name)`
`boolean` | `isRegistrationRequired()`
`boolean` | `isRegistrationRequiredForFullDescription()`
`void` | `notifyRegistrationPropertyChangeListeners()`
`void` | `propertyHasBeenRenamed(RegistrationPropertyDescription propertyDescription, javax.xml.namespace.QName oldName)`
`void` | `reloadPolicyFrom(java.lang.String policyClassName, java.lang.String validatorClassName)`
`void` | `removeRegistrationPolicyChangeListener(RegistrationPolicyChangeListener listener)`
`void` | `removeRegistrationProperty(javax.xml.namespace.QName propertyName)`
`void` | `removeRegistrationProperty(java.lang.String propertyName)`
`void` | `removeRegistrationPropertyChangeListener(RegistrationPropertyChangeListener listener)`
`void` | `setPolicy(RegistrationPolicy policy)`
`void` | `setRegistrationRequired(boolean requiresRegistration)`
`void` | `setRegistrationRequiredForFullDescription(boolean fullServiceDescriptionRequiresRegistration)`

Field Detail

### DEFAULT_POLICY_CLASS_NAME

    static final java.lang.String DEFAULT_POLICY_CLASS_NAME

See Also:
  Constant Field Values

### DEFAULT_VALIDATOR_CLASS_NAME

    static final java.lang.String DEFAULT_VALIDATOR_CLASS_NAME

See Also:
  Constant Field Values

Method Detail

### isRegistrationRequired

    boolean isRegistrationRequired()

### setRegistrationRequired

    void setRegistrationRequired(boolean requiresRegistration)

### isRegistrationRequiredForFullDescription

    boolean isRegistrationRequiredForFullDescription()

### setRegistrationRequiredForFullDescription

    void setRegistrationRequiredForFullDescription(boolean fullServiceDescriptionRequiresRegistration)

### getRegistrationProperties

    java.util.Map getRegistrationProperties()

### addRegistrationProperty

    void addRegistrationProperty(RegistrationPropertyDescription propertyDescription)

### removeRegistrationProperty

    void removeRegistrationProperty(java.lang.String propertyName)

### removeRegistrationProperty

    void removeRegistrationProperty(javax.xml.namespace.QName propertyName)

### clearRegistrationProperties

    void clearRegistrationProperties()

### acceptValueFor

    boolean acceptValueFor(javax.xml.namespace.QName propertyName,
                           java.lang.Object value)

### acceptValueFor

    boolean acceptValueFor(java.lang.String propertyName,
                           java.lang.Object value)

### getRegistrationPropertyWith

    RegistrationPropertyDescription getRegistrationPropertyWith(java.lang.String name)

### getRegistrationPropertyWith

    RegistrationPropertyDescription getRegistrationPropertyWith(javax.xml.namespace.QName name)

### notifyRegistrationPropertyChangeListeners

    void notifyRegistrationPropertyChangeListeners()

### addRegistrationPropertyChangeListener

    void addRegistrationPropertyChangeListener(RegistrationPropertyChangeListener listener)

### clearRegistrationPropertyChangeListeners

    void clearRegistrationPropertyChangeListeners()

### removeRegistrationPropertyChangeListener

    void removeRegistrationPropertyChangeListener(RegistrationPropertyChangeListener listener)

### setPolicy

    void setPolicy(RegistrationPolicy policy)

### getPolicy

    RegistrationPolicy getPolicy()

### reloadPolicyFrom

    void reloadPolicyFrom(java.lang.String policyClassName,
                          java.lang.String validatorClassName)

### propertyHasBeenRenamed

    void propertyHasBeenRenamed(RegistrationPropertyDescription propertyDescription,
                                javax.xml.namespace.QName oldName)

  Parameters:
    `propertyDescription` -
    `oldName` -
  Since:
    2.6.3

### addEmptyRegistrationProperty

    void addEmptyRegistrationProperty(java.lang.String name)

  Parameters:
    `name` -
  Since:
    2.6.3

### addRegistrationPolicyChangeListener

    void addRegistrationPolicyChangeListener(RegistrationPolicyChangeListener listener)

  Parameters:
    `listener` -
  Since:
    2.6.3

### removeRegistrationPolicyChangeListener

    void removeRegistrationPolicyChangeListener(RegistrationPolicyChangeListener listener)

  Parameters:
    `listener` -
  Since:
    2.6.3

### clearRegistrationPolicyChangeListeners

    void clearRegistrationPolicyChangeListeners()

  Since:
    2.6.3

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD